List Agents
curl --request GET \
--url https://api.truedy.ai/api/public/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.truedy.ai/api/public/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truedy.ai/api/public/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"voice_id": "<string>",
"model": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"voice_name": "<string>",
"system_prompt": "<string>",
"tools": [
"<string>"
],
"knowledge_bases": [
"<string>"
],
"greeting_settings": {},
"inactivity_messages": [
{}
],
"temperature": 123,
"language_hint": "<string>",
"time_exceeded_message": "<string>",
"recording_enabled": true,
"join_timeout": "<string>",
"max_duration": "<string>",
"built_in_config": {},
"inbound_phone_numbers": [
{}
],
"outbound_phone_numbers": [
{}
]
}
],
"meta": {
"request_id": "<string>",
"ts": "2023-11-07T05:31:56Z"
},
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}Agents
List Agents
List agents for the organization. Optional filters: status, name. Response includes inbound_phone_numbers and outbound_phone_numbers per agent (same as dashboard).
GET
/
agents
List Agents
Authorizations
Your API key. Send in the Authorization header as: Bearer
Query Parameters
Filter by status (e.g. active, draft)
Filter by name (substring match, case-insensitive)
Required range:
1 <= x <= 100Required range:
x >= 0⌘I

